Bug 77209 - Anaconda crash from HD install on old P75
Anaconda crash from HD install on old P75
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-03 00:25 EST by Paul Chang
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:50:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Python Error (33.83 KB, text/plain)
2002-11-03 00:28 EST, Paul Chang
no flags Details

  None (edit)
Description Paul Chang 2002-11-03 00:25:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
I received the following error during my install:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/text.py", line 
446, in run
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/dispatch.py", line 
150, in gotoNext
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/dispatch.py", line 
215, in moveStep
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/packages.py", line 
115, in readPackages
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/harddrive.py", 
line 209, in readHeaders
TypeError: an integer is required

Local variables in innermost frame:
sys: <module 'sys' (built-in)>
h: rhl-gsg-en
self: <harddrive.HardDriveInstallMethod instance at 0x852421c>
hl: <comps.HeaderListFromFile instance at 0x83f6bbc>

I am installing on an old Pentium 75 clone.  The CD-ROM is either broken or 
unrecognized, so I have copied the ISOs to a FAT32 logical partition/slice on a 
slaved hard disk.  I have specified install from hard disk, remove all 
partitions (from master disk, not slave containing ISOs).  I then received the 
error above.  Before installation, I verified the validity of the ISOs with 
MD5SUM.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get an old P75 like mine with a non-functioning CD-ROM, Award BIOS v4.50PG, 
128MB RAM, 6 GB master HD (LBA), 8 GB slave HD (LBA) with ISOs in a FAT32 
logical/extended partition (hdb5).
2. Boot from installer boot disk.
3. Choose "English", "us", "Hard drive", "/dev/hdb5/", no directory.
4. Wait for anaconda, which will boot into text mode.
5. Choose 3-button serial mouse on COM1, and Desktop.
6. Choose autopartition, remove all partitions on /dev/hda but 
deselect /dev/hdb, where the ISOs reside.
7. Select GRUB, no options, select only /dev/hda2, install into MBR
8. Default network settings.
9. English (USA), America/Los_Angeles.
10. Specify root and single user account and password.
11. Marvel at the Python error.

Actual Results:  Installer crashed, offered to save dump and reboot.

Expected Results:  I expected the installer to proceed.

Additional info:

Again, the target computer is an old P75, Award BIOS v4.50PG, 128MB RAM, 6GB 
master (WD), 8GB slave (Maxtor) containing ISOs in /dev/hdb5.
Comment 1 Paul Chang 2002-11-03 00:28:02 EST
Created attachment 83264 [details]
Anaconda Python Error
Comment 2 Paul Chang 2002-11-04 04:10:53 EST
I don't know if this helps any, but I worked around the problem by burning the 
ISOs onto CDs, copying the data to another computer, and started an install via 
HTTP.  It's a lot slower, but at least it's progressing!  But this verifies 
that the error is with the installer code for HD installs, since the installer 
for HTTP works fine on my machine.
Comment 3 Michael Fulbright 2002-11-04 17:15:21 EST
Have you confirmed the md5sum's of the iso images on the harddrive you installed
from? This error indicates these were corrupted when copied.
Comment 4 Michael Fulbright 2002-12-02 11:08:46 EST
Closing due to inactivity, please reopen if you have additional information to add.
Comment 5 Red Hat Bugzilla 2006-02-21 13:50:05 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.